gRPC C#
gRPC C#
Namespaces
Grpc.Core.Logging
ILogger Interface
ILogger Methods
Debug Method
Error Method
ForType(T) Method
Info Method
Warning Method

ILogger ForType T Method

Returns a logger associated with the specified type.

Namespace: Grpc.Core.Logging
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    ILogger ForType<T>()

    Function ForType(Of T) As ILogger

    generic<typename T>
    ILogger^ ForType()

    abstract ForType : unit -> ILogger

#### Type Parameters

T

  [Missing <typeparam name="T"/> documentation for "M:Grpc.Core.Logging.ILogger.ForType``1"]

#### Return Value

Type: ILogger
See Also

#### Reference

ILogger Interface
Grpc.Core.Logging Namespace